Bug 185568 - [patch] [maintainer update] net/turnserver port upgrade from 1.8.6.3 to 3.2.1.4
Summary: [patch] [maintainer update] net/turnserver port upgrade from 1.8.6.3 to 3.2.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-08 03:20 UTC by mom040267
Modified: 2014-01-12 01:00 UTC (History)
0 users

See Also:


Attachments
file.diff (9.50 KB, patch)
2014-01-08 03:20 UTC, mom040267
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mom040267 2014-01-08 03:20:00 UTC
This is a port upgrade, from the current FreeBSD/HEAD version (1.8.6.3) to the latest upstream version (3.2.1.4). I am attaching the patch. I tested it at redports.org.

Fix: Just apply the attached patch to the [ports]/head/net/turnserver

Patch attached with submission follows:
How-To-Repeat: Check the upstream site for the latest version: http://code.google.com/p/rfc5766-turn-server/
Comment 1 Thomas Abthorpe freebsd_committer 2014-01-10 19:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-12 00:58:28 UTC
Author: tabthorpe
Date: Sun Jan 12 00:58:18 2014
New Revision: 339463
URL: http://svnweb.freebsd.org/changeset/ports/339463

Log:
  - Update to 3.2.1.4
  
  PR:		ports/185568
  Submitted by:	Oleg Moskalenko <mom040267@gmail.com> (maintainer)

Modified:
  head/net/turnserver/Makefile
  head/net/turnserver/distinfo   (contents, props changed)
  head/net/turnserver/pkg-plist   (contents, props changed)

Modified: head/net/turnserver/Makefile
==============================================================================
--- head/net/turnserver/Makefile	Sat Jan 11 23:10:38 2014	(r339462)
+++ head/net/turnserver/Makefile	Sun Jan 12 00:58:18 2014	(r339463)
@@ -1,11 +1,11 @@
 # $FreeBSD$
 
 PORTNAME=	turnserver
-PORTVERSION=	1.8.6.3
+PORTVERSION=	3.2.1.4
 CATEGORIES=	net
 MASTER_SITES=	http://rfc5766-turn-server.googlecode.com/files/
 PKGNAMEPREFIX=
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} turn.extra.docs-1.8.4.2.tar.gz
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} turn.extra.docs-2.0.0.1.tar.gz
 
 MAINTAINER=	mom040267@gmail.com
 COMMENT=	STUN/TURN Server; IPv6, DTLS support; RFCs 5389, 5766, 6062, 6156
@@ -14,9 +14,11 @@ LICENSE=	BSD
 
 LIB_DEPENDS=	event-2:${PORTSDIR}/devel/libevent2
 
+CONFLICTS=	libevent-1.*
+
 SUB_FILES=	pkg-message
 
-MAN1=	turnserver.1 turnadmin.1 turnutils.1 turnutils_peer.1 turnutils_rfc5769check.1 turnutils_stunclient.1 turnutils_uclient.1
+MAN1=	turnserver.1 turnadmin.1 turnutils.1 turnutils_peer.1 turnutils_stunclient.1 turnutils_uclient.1 rfc5766-turn-server.1
 MANCOMPRESSED=	no
 
 USE_OPENSSL=	YES
@@ -39,28 +41,36 @@ NO_STAGE=	yes
 PORTDOCS=	html TURNServerRESTAPI.pdf TurnNetworks.pdf
 PORTREADMEDOCS=	README.turnserver README.turnadmin README.turnutils INSTALL
 
-_BIN_UTILS=	peer stunclient rfc5769check uclient
+_BIN_UTILS=	peer stunclient uclient
 
 _ETC_EXAMPLES=	turnserver.conf turnuserdb.conf turn_client_cert.pem \
 		turn_client_pkey.pem turn_server_cert.pem turn_server_pkey.pem
-_SCRIPT_EXAMPLES=	peer.sh	rfc5769.sh \
-basic/relay.sh basic/tcp_client_c2c_tcp_relay.sh basic/udp_c2c_client.sh \
+_SCRIPT_EXAMPLES=	peer.sh	\
+basic/relay.sh basic/dos_attack.sh \
+basic/tcp_client_c2c_tcp_relay.sh basic/udp_c2c_client.sh \
 basic/udp_client.sh basic/tcp_client.sh \
 loadbalance/master_relay.sh loadbalance/slave_relay_1.sh loadbalance/slave_relay_2.sh \
 loadbalance/udp_c2c.sh loadbalance/tcp_c2c_tcp_relay.sh \
 longtermsecure/secure_dtls_client.sh longtermsecure/secure_relay.sh \
+longtermsecure/secure_dtls_client_cert.sh longtermsecure/secure_relay_cert.sh \
 longtermsecure/secure_tcp_client_c2c_tcp_relay.sh longtermsecure/secure_tcp_client.sh \
 longtermsecure/secure_tls_client_c2c_tcp_relay.sh longtermsecure/secure_tls_client.sh \
 longtermsecure/secure_udp_c2c.sh longtermsecure/secure_udp_client.sh \
+longtermsecure/secure_dos_attack.sh longtermsecure/secure_udp_client.sh \
 longtermsecuredb/secure_relay_with_db_psql.sh longtermsecuredb/secure_relay_with_db_mysql.sh \
 longtermsecuredb/secure_relay_with_db_redis.sh \
 restapi/secure_relay_secret.sh restapi/secure_relay_secret_with_db_mysql.sh \
 restapi/secure_relay_secret.sh restapi/secure_relay_secret_with_db_redis.sh \
 restapi/secure_udp_client_with_secret.sh \
+restapi/secure_relay_secret_with_db_psql.sh \
 restapi/shared_secret_maintainer.pl \
-shorttermsecure/secure_tcp_client_c2c_tcp_relay_short_term.sh shorttermsecure/secure_udp_client_short_term.sh shorttermsecure/secure_relay_short_term_mech.sh
+shorttermsecure/secure_tcp_client_c2c_tcp_relay_short_term.sh \
+shorttermsecure/secure_udp_client_short_term.sh \
+shorttermsecure/secure_relay_short_term_mech.sh \
+selfloadbalance/secure_dos_attack.sh \
+selfloadbalance/secure_relay.sh
 
-CONFIGURE_ENV+=	PTHREAD_LIBS=-pthread
+CONFIGURE_ENV+=	PTHREAD_LIBS=-pthread TURN_DISABLE_RPATH=1
 
 .if ${PORT_OPTIONS:MPGSQL}
 USE_PGSQL=	yes
@@ -95,6 +105,7 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/turndb/schema.sql ${DATADIR}/schema.sql
 	${INSTALL_DATA} ${WRKSRC}/turndb/schema.userdb.redis ${DATADIR}/schema.userdb.redis
 	${INSTALL_DATA} ${WRKSRC}/turndb/schema.stats.redis ${DATADIR}/schema.stats.redis
+	${INSTALL_SCRIPT} ${WRKSRC}/turndb/testredisdbsetup.sh ${DATADIR}/testredisdbsetup.sh
 	${INSTALL_DATA} ${WRKSRC}/lib/libturnclient.a ${PREFIX}/lib/libturnclient.a
 	${INSTALL_DATA} ${WRKSRC}/examples/etc/turnserver.conf ${PREFIX}/etc/turnserver.conf.default
 	${INSTALL_DATA} ${WRKSRC}/examples/etc/turnuserdb.conf ${PREFIX}/etc/turnuserdb.conf.default
@@ -109,6 +120,7 @@ do-install:
 	${MKDIR} ${EXAMPLESDIR}/scripts/longtermsecuredb
 	${MKDIR} ${EXAMPLESDIR}/scripts/restapi
 	${MKDIR} ${EXAMPLESDIR}/scripts/shorttermsecure
+	${MKDIR} ${EXAMPLESDIR}/scripts/selfloadbalance
 	${MKDIR} ${EXAMPLESDIR}/etc
 	${INSTALL_MAN} ${WRKSRC}/examples/scripts/readme.txt ${EXAMPLESDIR}/scripts
 .for f in ${_ETC_EXAMPLES}
@@ -136,4 +148,7 @@ PORTDOCS+=	postinstall.txt ${PORTREADMED
 post-install:
 	${CAT} ${PKGMESSAGE}
 
+regression-test: build
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} test)
+
 .include <bsd.port.mk>

Modified: head/net/turnserver/distinfo
==============================================================================
--- head/net/turnserver/distinfo	Sat Jan 11 23:10:38 2014	(r339462)
+++ head/net/turnserver/distinfo	Sun Jan 12 00:58:18 2014	(r339463)
@@ -1,4 +1,4 @@
-SHA256 (turnserver-1.8.6.3.tar.gz) = 3c7dec04dfb3d064a5fc2f85d162270141fc801740566979d8fdc92548fa88ea
-SIZE (turnserver-1.8.6.3.tar.gz) = 204809
-SHA256 (turn.extra.docs-1.8.4.2.tar.gz) = c93c1195ce053a9ce3e44c3b5d9534d2d15cabb7a76854ea3ad69e17ca4c5a8c
-SIZE (turn.extra.docs-1.8.4.2.tar.gz) = 465768
+SHA256 (turnserver-3.2.1.4.tar.gz) = bf5ca37c83a0c854e2eef3be790b731c13b196ec7e443f1da0252634f6401bb2
+SIZE (turnserver-3.2.1.4.tar.gz) = 287073
+SHA256 (turn.extra.docs-2.0.0.1.tar.gz) = 3a86600fd0a30ce7aeb547e80402ce68ea9959f7dd58697e5b47fda6e33ab9ce
+SIZE (turn.extra.docs-2.0.0.1.tar.gz) = 485379

Modified: head/net/turnserver/pkg-plist
==============================================================================
--- head/net/turnserver/pkg-plist	Sat Jan 11 23:10:38 2014	(r339462)
+++ head/net/turnserver/pkg-plist	Sun Jan 12 00:58:18 2014	(r339463)
@@ -1,7 +1,6 @@
 bin/turnserver
 bin/turnadmin
 bin/turnutils_peer
-bin/turnutils_rfc5769check
 bin/turnutils_stunclient
 bin/turnutils_uclient
 lib/libturnclient.a
@@ -10,6 +9,7 @@ etc/turnuserdb.conf.default
 %%DATADIR%%/schema.sql
 %%DATADIR%%/schema.userdb.redis
 %%DATADIR%%/schema.stats.redis
+%%DATADIR%%/testredisdbsetup.sh
 @dirrmtry %%DATADIR%%
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/etc/turnserver.conf
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/etc/turnuserdb.conf
@@ -20,8 +20,8 @@ etc/turnuserdb.conf.default
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/etc
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/readme.txt
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/peer.sh
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/rfc5769.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/basic/relay.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/basic/dos_attack.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/basic/tcp_client_c2c_tcp_relay.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/basic/udp_c2c_client.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/basic/udp_client.sh
@@ -32,30 +32,37 @@ etc/turnuserdb.conf.default
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/loadbalance/udp_c2c.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/loadbalance/tcp_c2c_tcp_relay.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_dtls_client.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_dtls_client_cert.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_relay.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_relay_cert.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_tcp_client_c2c_tcp_relay.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_tcp_client.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_tls_client_c2c_tcp_relay.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_tls_client.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_udp_c2c.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_udp_client.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecure/secure_dos_attack.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecuredb/secure_relay_with_db_psql.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecuredb/secure_relay_with_db_mysql.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/longtermsecuredb/secure_relay_with_db_redis.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/secure_relay_secret.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/secure_relay_secret_with_db_mysql.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/secure_relay_secret_with_db_psql.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/secure_relay_secret_with_db_redis.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/secure_udp_client_with_secret.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/restapi/shared_secret_maintainer.pl
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/shorttermsecure/secure_tcp_client_c2c_tcp_relay_short_term.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/shorttermsecure/secure_udp_client_short_term.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/shorttermsecure/secure_relay_short_term_mech.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/selfloadbalance/secure_dos_attack.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/scripts/selfloadbalance/secure_relay.sh
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/basic
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/loadbalance
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/longtermsecure
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/longtermsecuredb
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/restapi
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/shorttermsecure
+%%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts/selfloadbalance
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%/scripts
 %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%
 include/turn/ns_turn_defs.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2014-01-12 00:58:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!